自訂網域
GET https://analytics.ipcidr.com/api/domains/available
curl --request GET \
--url 'https://analytics.ipcidr.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| 參數 | 詳細資料 | 描述 |
|---|---|---|
| search | 選填 字串 | 搜尋字串。 |
| search_by | 選填 字串 | 您要搜尋的欄位。允許的值為:host。 |
| datetime_field | 選填 字串 | 允許的值:datetime, last_datetime |
| datetime_start | 選填 字串 | 從此日期時間開始篩選結果。格式為 Y-m-d H:i:s。 |
| datetime_end | 選填 字串 | 篩選結果至此日期時間。格式為 Y-m-d H:i:s。 |
| order_by | 選填 字串 | 排序結果的欄位。允許的值為:domain_id, datetime, last_datetime, host。 |
| order_type | 選填 字串 | 結果的排序方式。允許的值為:ASC 遞增排序,DESC 遞減排序。 |
| page | 選填 整數 | 您想要結果的頁碼。預設為 1。 |
| results_per_page | 選填 整數 | 每頁要顯示的結果數量。允許的值為:10, 25, 50, 100, 250, 500, 1000。預設為 25。 |
{
"data": [
{
"id": 1,
"type": 0,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-04 02:05:50",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ipcidr.com/api/domains/available?page=1",
"last": "https://analytics.ipcidr.com/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ipcidr.com/api/domains/available?page=1"
}
}
GET https://analytics.ipcidr.com/api/domains/
curl --request GET \
--url 'https://analytics.ipcidr.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| 參數 | 詳細資料 | 描述 |
|---|---|---|
| search | 選填 字串 | 搜尋字串。 |
| search_by | 選填 字串 | 您要搜尋的欄位。允許的值為:host。 |
| is_enabled | 選填 布林值 | |
| datetime_field | 選填 字串 | 允許的值:datetime, last_datetime |
| datetime_start | 選填 字串 | 從此日期時間開始篩選結果。格式為 Y-m-d H:i:s。 |
| datetime_end | 選填 字串 | 篩選結果至此日期時間。格式為 Y-m-d H:i:s。 |
| order_by | 選填 字串 | 排序結果的欄位。允許的值為:domain_id, datetime, last_datetime, host。 |
| order_type | 選填 字串 | 結果的排序方式。允許的值為:ASC 遞增排序,DESC 遞減排序。 |
| page | 選填 整數 | 您想要結果的頁碼。預設為 1。 |
| results_per_page | 選填 整數 | 每頁要顯示的結果數量。允許的值為:10, 25, 50, 100, 250, 500, 1000。預設為 25。 |
{
"data": [
{
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-06-04 02:05:50"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ipcidr.com/api/domains?page=1",
"last": "https://analytics.ipcidr.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ipcidr.com/api/domains?page=1"
}
}
GET https://analytics.ipcidr.com/api/domains/{domain_id}
curl --request GET \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-06-04 02:05:50"
}
}
POST https://analytics.ipcidr.com/api/domains
| 參數 | 詳細資料 | 描述 |
|---|---|---|
| host | 必填 字串 | - |
| custom_index_url | 選填 字串 | - |
| custom_not_found_url | 選填 字串 | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://analytics.ipcidr.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://analytics.ipcidr.com/api/domains/{domain_id}
| 參數 | 詳細資料 | 描述 |
|---|---|---|
| host | 選填 字串 | - |
| custom_index_url | 選填 字串 | - |
| custom_not_found_url | 選填 字串 | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://analytics.ipcidr.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \